## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests
%bcond_with    all_tests

Name:           dnsviz
Version:        0.11.0
Release:        %autorelease
Summary:        Tools for analyzing and visualizing DNS and DNSSEC behavior

License:        GPL-2.0-or-later
URL:            https://github.com/dnsviz/dnsviz
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

Patch1:         dnsviz-0.11-no-sha1.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  graphviz
BuildRequires:  make

BuildRequires:  python3-pygraphviz >= 1.3
BuildRequires:  python3-cryptography
BuildRequires:  python3-dns >= 1.13
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  bind
BuildRequires:  bind-dnssec-utils
Requires:       python3-pygraphviz >= 1.3
Requires:       python3-dns >= 1.13

%description
DNSViz is a tool suite for analysis and visualization of Domain Name System
(DNS) behavior, including its security extensions (DNSSEC).  This tool suite
powers the Web-based analysis available at http://dnsviz.net/

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%check
%if %{with tests}
export DNSVIZ_SHARE_PATH="%{buildroot}%{_datadir}%{name}"
%if %{with all_tests}
  if ! [ -f /etc/resolv.conf ]; then
    # mock may not have any resolv.conf
    echo "nameserver 127.0.0.1" | tee /etc/resolv.conf
    OWN_RESOLV=y
  fi
  %pytest
  if [ "$OWN_RESOLV" = y ]; then
    rm -f /etc/resolv.conf
  fi
%else
  %pytest -k "not probe_options and not probe_run_online and not test_dnsviz_graph_output_format and not _online"
%endif
%endif

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_defaultdocdir}/%{name}/dnsviz-graph.html
%{_defaultdocdir}/%{name}/images/*png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-probe.1*
%{_mandir}/man1/%{name}-graph.1*
%{_mandir}/man1/%{name}-grok.1*
%{_mandir}/man1/%{name}-print.1*
%{_mandir}/man1/%{name}-query.1*

%changelog
## START: Generated by rpmautospec
* Wed Oct 02 2024 Petr Menšík <pemensik@redhat.com> - 0.11.0-2
- Skip testing SHA1

* Wed Oct 02 2024 Petr Menšík <pemensik@redhat.com> - 0.11.0-1
- Update to 0.11.0

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 08 2024 Petr Menšík <pemensik@redhat.com> - 0.10.0-2
- Modernize python packaging

* Mon Jul 08 2024 Petr Menšík <pemensik@redhat.com> - 0.10.0-1
- Update to 0.10.0

* Sat Jun 22 2024 Python Maint <python-maint@redhat.com> - 0.9.4-11
- Rebuilt for Python 3.13

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Petr Menšík <pemensik@redhat.com> - 0.9.4-7
- Require explicitly setuptools, use SPDX

* Tue Jul 18 2023 Python Maint <python-maint@redhat.com> - 0.9.4-5
- Rebuilt for Python 3.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Petr Menšík <pemensik@redhat.com> - 0.9.4-1
- Update to 0.9.4

* Thu Mar  11 2021 Casey Deccio
  0.9.3 release
* Fri Feb  5 2021 Casey Deccio
  0.9.2 release
* Tue Jan  19 2021 Casey Deccio
  0.9.1 release
* Fri Jan  8 2021 Casey Deccio
  0.9.0 release
* Wed Feb  6 2019 Casey Deccio
  0.8.1 release
* Fri Jan  25 2019 Casey Deccio
  0.8.0 release

## END: Generated by rpmautospec
